summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorlrknox <lrknox>2017-01-13 04:20:11 (GMT)
committerlrknox <lrknox>2017-01-13 04:20:11 (GMT)
commit8452976de5d770adcf3892b25c8480042170fccd (patch)
tree4d94cbb8292116af3cf369adf1b47a014210ae17 /tools
parent089afc48561ba8838d6a515c6b00fc6f7032ca13 (diff)
downloadhdf5-8452976de5d770adcf3892b25c8480042170fccd.zip
hdf5-8452976de5d770adcf3892b25c8480042170fccd.tar.gz
hdf5-8452976de5d770adcf3892b25c8480042170fccd.tar.bz2
tools/test/h5diff/testh5diff.sh.in:
Add code to delete copies of test .h5 files copied from tools/testfiles/vds to tools/test/h5diff/testfiles when running "make check" for an in-source build. tools/test/misc/testh5repart.sh.in: Change the name of the temporary test directory from "testfiles" which is also used for 2 h5mkgrp test files under source control to "testrepart" to avoid deleting source controlled files when running "make check" in the source directory. Fix test scripts that remove source-controlled files during "make check" when run in-source. Fix test scripts that don't remove test files because they add files to test directories but don't remove them if the build directories are the same as the source directory. Fix any test source file or Makefile.am files for tests that leave data files are removed by neither "make check" nor "make distclean".
Diffstat (limited to 'tools')
-rw-r--r--tools/test/h5diff/testh5diff.sh.in15
-rw-r--r--tools/test/h5format_convert/testh5fc.sh.in3
-rw-r--r--tools/test/misc/Makefile.am2
-rw-r--r--tools/test/misc/testh5repart.sh.in2
4 files changed, 20 insertions, 2 deletions
diff --git a/tools/test/h5diff/testh5diff.sh.in b/tools/test/h5diff/testh5diff.sh.in
index d2f1397..39b87ca 100644
--- a/tools/test/h5diff/testh5diff.sh.in
+++ b/tools/test/h5diff/testh5diff.sh.in
@@ -382,6 +382,21 @@ CLEAN_TESTFILES_AND_TESTDIR()
INODE_DDIR=`$LS -i -d $TESTDIR | $AWK -F' ' '{print $1}'`
if [ "$INODE_SDIR" != "$INODE_DDIR" ]; then
$RM $TESTDIR
+ else
+ # files in $LIST_HDF5_VDS_TEST_FILES are copied in from a different
+ # directory, so when srcdir is the same as destdir and $TESTDIR is
+ # not deleted, the copy n $TESTDIR of each file from
+ # $LIST_HDF5_VDS_TEST_FILES will need to be deleted.
+ for tstfile in $LIST_HDF5_VDS_TEST_FILES
+ do
+ # ignore '#' comment
+ echo $tstfile | tr -d ' ' | grep '^#' > /dev/null
+ RET=$?
+ if [ $RET -eq 1 ]; then
+ fname=`basename $tstfile`
+ rm $TESTDIR/$fname
+ fi
+ done
fi
}
diff --git a/tools/test/h5format_convert/testh5fc.sh.in b/tools/test/h5format_convert/testh5fc.sh.in
index 5384354..24f04d6 100644
--- a/tools/test/h5format_convert/testh5fc.sh.in
+++ b/tools/test/h5format_convert/testh5fc.sh.in
@@ -180,6 +180,9 @@ CLEAN_TESTFILES_AND_TESTDIR()
$RM $TESTDIR
else
$RM $TESTDIR/$TMPFILE
+ $RM $TESTDIR/$TMPOUTFILE
+ $RM $TESTDIR/$TMPCHKFILE
+ $RM $TESTDIR/$TMPDMPFILE
fi
}
diff --git a/tools/test/misc/Makefile.am b/tools/test/misc/Makefile.am
index 1025a8a..fc9e1c1 100644
--- a/tools/test/misc/Makefile.am
+++ b/tools/test/misc/Makefile.am
@@ -36,7 +36,7 @@ SCRIPT_DEPEND=../../src/misc/h5repart$(EXEEXT) ../../src/misc/h5mkgrp$(EXEEXT) .
# Temporary files. *.h5 are generated by h5repart_gentest. They should
# copied to the testfiles/ directory if update is required. fst_family*.h5
# and scd_family*.h5 were created by setting the HDF5_NOCLEANUP variable.
-CHECK_CLEANFILES+=*.h5 ../testfiles/fst_family*.h5 ../testfiles/scd_family*.h5
+CHECK_CLEANFILES+=*.h5 ../testfiles/fst_family*.h5 ../testfiles/scd_family*.h5 append.log
# These were generated by configure. Remove them only when distclean.
DISTCLEANFILES=testh5repart.sh testh5clear.sh
diff --git a/tools/test/misc/testh5repart.sh.in b/tools/test/misc/testh5repart.sh.in
index 2106a1d..9a9dd9a 100644
--- a/tools/test/misc/testh5repart.sh.in
+++ b/tools/test/misc/testh5repart.sh.in
@@ -43,7 +43,7 @@ SRC_TOOLS="$srcdir/../.."
SRC_TOOLS_TESTFILES="$SRC_TOOLS/testfiles"
-TESTDIR=./testfiles
+TESTDIR=./testrepart
test -d $TESTDIR || mkdir -p $TESTDIR
#